<html>
<head>
<title>Ogre::Archive Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Archive.html">Archive</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::Archive Class Reference<div class="ingroups"><a class="el" href="group__Resources.html">Resources</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::Archive" --><!-- doxytag: inherits="Ogre::AllocatedObject" -->
<p>Archive-handling class.  
 <a href="classOgre_1_1Archive.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreArchive_8h_source.html">OgreArchive.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::Archive:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1Archive__inherit__graph.gif" border="0" usemap="#Ogre_1_1Archive_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1Archive_inherit__map" id="Ogre_1_1Archive_inherit__map">
<area shape="rect" id="node5" href="classOgre_1_1FileSystemArchive.html" title="Specialisation of the Archive class to allow reading of files from filesystem folders / directories..." alt="" coords="5,160,173,189"/><area shape="rect" id="node7" href="classOgre_1_1ZipArchive.html" title="Specialisation of the Archive class to allow reading of files from a zip format source archive..." alt="" coords="197,160,317,189"/><area shape="rect" id="node2" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="127,5,220,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1Archive-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Archive.html#aa527675b915110919a754a226feebc4f">Archive</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;archType)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor - don't call direct, used by <a class="el" href="classOgre_1_1ArchiveFactory.html" title="Abstract factory class, archive codec plugins can register concrete subclasses of this...">ArchiveFactory</a>.  <a href="#aa527675b915110919a754a226feebc4f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Archive.html#a370fba29d752fa317e992aec6625d5ed">~Archive</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Default destructor.  <a href="#a370fba29d752fa317e992aec6625d5ed"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Archive.html#aa4860f997861f44b61a436d55cdcc66b">getName</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the name of this archive.  <a href="#aa4860f997861f44b61a436d55cdcc66b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Archive.html#a4169eee25281ebb54adeb9f06d9a7d80">isCaseSensitive</a> (void) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns whether this archive is case sensitive in the way it matches files.  <a href="#a4169eee25281ebb54adeb9f06d9a7d80"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Archive.html#a6a073d74d1fab7d5499a35fab466c1b3">load</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Loads the archive.  <a href="#a6a073d74d1fab7d5499a35fab466c1b3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Archive.html#a5c2927f6a35441ea77262f95e4b0a6a0">unload</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Unloads the archive.  <a href="#a5c2927f6a35441ea77262f95e4b0a6a0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Archive.html#aac59f4ba4e35fe3bf8820117593d0998">isReadOnly</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Reports whether this <a class="el" href="classOgre_1_1Archive.html" title="Archive-handling class.">Archive</a> is read-only, or whether the contents can be updated.  <a href="#aac59f4ba4e35fe3bf8820117593d0998"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Archive.html#a919327fffdf74b7bc02bab6821732cd1">open</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;filename, bool readOnly=true) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Open a stream on a given file.  <a href="#a919327fffdf74b7bc02bab6821732cd1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Archive.html#a89cb3f2063d3d1920f2deac1934b3c22">create</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;filename) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a new file (or overwrite one already there).  <a href="#a89cb3f2063d3d1920f2deac1934b3c22"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Archive.html#af0144235a0da9fe837138c7482e2b7aa">remove</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;filename) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Delete a named file.  <a href="#af0144235a0da9fe837138c7482e2b7aa"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__General.html#gae6b84ceebcdcc285f37bf9fba216697d">StringVectorPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Archive.html#a777370220240813a2595689c913dec16">list</a> (bool recursive=true, bool dirs=false)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">List all file names in the archive.  <a href="#a777370220240813a2595689c913dec16"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__Resources.html#ga98a851530d714bac278ff907738ac643">FileInfoListPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Archive.html#a5c1747f4ab92962a5528a263c714dc31">listFileInfo</a> (bool recursive=true, bool dirs=false)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">List all files in the archive with accompanying information.  <a href="#a5c1747f4ab92962a5528a263c714dc31"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__General.html#gae6b84ceebcdcc285f37bf9fba216697d">StringVectorPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Archive.html#a864dc708cbb78b00e7fd8053a8ad28fa">find</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;pattern, bool recursive=true, bool dirs=false)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Find all file or directory names matching a given pattern in this archive.  <a href="#a864dc708cbb78b00e7fd8053a8ad28fa"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Archive.html#adee2a6cd49a969e4329ea41eaa27e861">exists</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;filename)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Find out if the named file exists (note: fully qualified filename required)  <a href="#adee2a6cd49a969e4329ea41eaa27e861"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual time_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Archive.html#a4dfb3997d1a088f414d2146218c56d74">getModifiedTime</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;filename)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieve the modification time of a given file.  <a href="#a4dfb3997d1a088f414d2146218c56d74"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__Resources.html#ga98a851530d714bac278ff907738ac643">FileInfoListPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Archive.html#a97f9929a9f3bafe00ede46256948ebad">findFileInfo</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;pattern, bool recursive=true, bool dirs=false) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Find all files or directories matching a given pattern in this archive and get some detailed information about them.  <a href="#a97f9929a9f3bafe00ede46256948ebad"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Archive.html#ab0fe79a8deba20a1cc1301f68805b621">getType</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the type code of this <a class="el" href="classOgre_1_1Archive.html" title="Archive-handling class.">Archive</a>.  <a href="#ab0fe79a8deba20a1cc1301f68805b621"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Archive.html#ab1e42e1a419b26b1b7c6f26b77dde5a3">mName</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Archive.html" title="Archive-handling class.">Archive</a> name.  <a href="#ab1e42e1a419b26b1b7c6f26b77dde5a3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Archive.html#abf7ba39bebb760ce55d517aa289096fb">mType</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Archive.html" title="Archive-handling class.">Archive</a> type code.  <a href="#abf7ba39bebb760ce55d517aa289096fb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Archive.html#ad85bb767e01c492075ec5291c1b9f5c4">mReadOnly</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Read-only flag.  <a href="#ad85bb767e01c492075ec5291c1b9f5c4"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Archive-handling class. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>An archive is a generic term for a container of files. This may be a filesystem folder, it may be a compressed archive, it may even be a remote location shared on the web. This class is designed to be subclassed to provide access to a range of file locations. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>Instances of this class are never constructed or even handled by end-user applications. They are constructed by custom <a class="el" href="classOgre_1_1ArchiveFactory.html" title="Abstract factory class, archive codec plugins can register concrete subclasses of this...">ArchiveFactory</a> classes, which plugins can register new instances of using <a class="el" href="classOgre_1_1ArchiveManager.html" title="This class manages the available ArchiveFactory plugins.">ArchiveManager</a>. End-user applications will typically use <a class="el" href="classOgre_1_1ResourceManager.html" title="Defines a generic resource handler.">ResourceManager</a> or <a class="el" href="classOgre_1_1ResourceGroupManager.html" title="This singleton class manages the list of resource groups, and notifying the various resource managers...">ResourceGroupManager</a> to manage resources at a higher level, rather than reading files directly through this class. Doing it this way allows you to benefit from OGRE's automatic searching of multiple file locations for the resources you are looking for. </dd></dl>

<p>Definition at line <a class="el" href="OgreArchive_8h_source.html#l00087">87</a> of file <a class="el" href="OgreArchive_8h_source.html">OgreArchive.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="aa527675b915110919a754a226feebc4f"></a><!-- doxytag: member="Ogre::Archive::Archive" ref="aa527675b915110919a754a226feebc4f" args="(const String &amp;name, const String &amp;archType)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Archive.html#aa527675b915110919a754a226feebc4f">Ogre::Archive::Archive</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>archType</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Constructor - don't call direct, used by <a class="el" href="classOgre_1_1ArchiveFactory.html" title="Abstract factory class, archive codec plugins can register concrete subclasses of this...">ArchiveFactory</a>. </p>

<p>Definition at line <a class="el" href="OgreArchive_8h_source.html#l00101">101</a> of file <a class="el" href="OgreArchive_8h_source.html">OgreArchive.h</a>.</p>

</div>
</div>
<a class="anchor" id="a370fba29d752fa317e992aec6625d5ed"></a><!-- doxytag: member="Ogre::Archive::~Archive" ref="a370fba29d752fa317e992aec6625d5ed" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1Archive.html#a370fba29d752fa317e992aec6625d5ed">Ogre::Archive::~Archive</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Default destructor. </p>

<p>Definition at line <a class="el" href="OgreArchive_8h_source.html#l00106">106</a> of file <a class="el" href="OgreArchive_8h_source.html">OgreArchive.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a89cb3f2063d3d1920f2deac1934b3c22"></a><!-- doxytag: member="Ogre::Archive::create" ref="a89cb3f2063d3d1920f2deac1934b3c22" args="(const String &amp;filename) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a> <a class="el" href="classOgre_1_1Archive.html#a89cb3f2063d3d1920f2deac1934b3c22">Ogre::Archive::create</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>filename</em></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a new file (or overwrite one already there). </p>
<dl class="note"><dt><b>Note:</b></dt><dd>If the archive is read-only then this method will fail. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">filename</td><td>The fully qualified name of the file </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>A shared pointer to a <a class="el" href="classOgre_1_1DataStream.html" title="General purpose class used for encapsulating the reading and writing of data.">DataStream</a> which can be used to read / write the file. </dd></dl>

<p>Reimplemented in <a class="el" href="classOgre_1_1ZipArchive.html#ad4e52c6eb6165ebc1af6576b732a3935">Ogre::ZipArchive</a>, and <a class="el" href="classOgre_1_1FileSystemArchive.html#ac58470bd175ac96f8ff85a8e40f39cb5">Ogre::FileSystemArchive</a>.</p>

<p>Definition at line <a class="el" href="OgreArchive_8h_source.html#l00154">154</a> of file <a class="el" href="OgreArchive_8h_source.html">OgreArchive.h</a>.</p>

<p>References <a class="el" href="OgreException_8h_source.html#l00118">Ogre::Exception::ERR_NOT_IMPLEMENTED</a>.</p>

</div>
</div>
<a class="anchor" id="adee2a6cd49a969e4329ea41eaa27e861"></a><!-- doxytag: member="Ogre::Archive::exists" ref="adee2a6cd49a969e4329ea41eaa27e861" args="(const String &amp;filename)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1Archive.html#adee2a6cd49a969e4329ea41eaa27e861">Ogre::Archive::exists</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>filename</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Find out if the named file exists (note: fully qualified filename required) </p>

<p>Implemented in <a class="el" href="classOgre_1_1ZipArchive.html#a0669dc93ae746f6070c44bba2f94594e">Ogre::ZipArchive</a>, and <a class="el" href="classOgre_1_1FileSystemArchive.html#afa703d83c696b6b78dc7efe8114e468e">Ogre::FileSystemArchive</a>.</p>

</div>
</div>
<a class="anchor" id="a864dc708cbb78b00e7fd8053a8ad28fa"></a><!-- doxytag: member="Ogre::Archive::find" ref="a864dc708cbb78b00e7fd8053a8ad28fa" args="(const String &amp;pattern, bool recursive=true, bool dirs=false)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="group__General.html#gae6b84ceebcdcc285f37bf9fba216697d">StringVectorPtr</a> <a class="el" href="classOgre_1_1Archive.html#a864dc708cbb78b00e7fd8053a8ad28fa">Ogre::Archive::find</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>pattern</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>recursive</em> = <code>true</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>dirs</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Find all file or directory names matching a given pattern in this archive. </p>
<dl class="note"><dt><b>Note:</b></dt><dd>This method only returns filenames, you can also retrieve other information using findFileInfo. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">pattern</td><td>The pattern to search for; wildcards (*) are allowed </td></tr>
    <tr><td class="paramname">recursive</td><td>Whether all paths of the archive are searched (if the archive has a concept of that) </td></tr>
    <tr><td class="paramname">dirs</td><td>Set to true if you want the directories to be listed instead of files </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>A list of filenames matching the criteria, all are fully qualified </dd></dl>

<p>Implemented in <a class="el" href="classOgre_1_1ZipArchive.html#a3ba8ac8a8f041d2051c4f6ee158de7d2">Ogre::ZipArchive</a>, and <a class="el" href="classOgre_1_1FileSystemArchive.html#a47dc8d47bb6a6738a85f62f816bfd7f8">Ogre::FileSystemArchive</a>.</p>

</div>
</div>
<a class="anchor" id="a97f9929a9f3bafe00ede46256948ebad"></a><!-- doxytag: member="Ogre::Archive::findFileInfo" ref="a97f9929a9f3bafe00ede46256948ebad" args="(const String &amp;pattern, bool recursive=true, bool dirs=false) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="group__Resources.html#ga98a851530d714bac278ff907738ac643">FileInfoListPtr</a> <a class="el" href="classOgre_1_1Archive.html#a97f9929a9f3bafe00ede46256948ebad">Ogre::Archive::findFileInfo</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>pattern</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>recursive</em> = <code>true</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>dirs</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Find all files or directories matching a given pattern in this archive and get some detailed information about them. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">pattern</td><td>The pattern to search for; wildcards (*) are allowed </td></tr>
    <tr><td class="paramname">recursive</td><td>Whether all paths of the archive are searched (if the archive has a concept of that) </td></tr>
    <tr><td class="paramname">dirs</td><td>Set to true if you want the directories to be listed instead of files </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>A list of file information structures for all files matching the criteria. </dd></dl>

<p>Implemented in <a class="el" href="classOgre_1_1ZipArchive.html#ad082108ce50571d3664525a3c9968645">Ogre::ZipArchive</a>, and <a class="el" href="classOgre_1_1FileSystemArchive.html#a10778a57909649da7e62a6eff23e4a43">Ogre::FileSystemArchive</a>.</p>

</div>
</div>
<a class="anchor" id="a4dfb3997d1a088f414d2146218c56d74"></a><!-- doxytag: member="Ogre::Archive::getModifiedTime" ref="a4dfb3997d1a088f414d2146218c56d74" args="(const String &amp;filename)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual time_t <a class="el" href="classOgre_1_1Archive.html#a4dfb3997d1a088f414d2146218c56d74">Ogre::Archive::getModifiedTime</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>filename</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Retrieve the modification time of a given file. </p>

<p>Implemented in <a class="el" href="classOgre_1_1ZipArchive.html#ac917dbfad2f147875573858b2658d893">Ogre::ZipArchive</a>, and <a class="el" href="classOgre_1_1FileSystemArchive.html#a19a46cfd6ea079bca9538e862042a891">Ogre::FileSystemArchive</a>.</p>

</div>
</div>
<a class="anchor" id="aa4860f997861f44b61a436d55cdcc66b"></a><!-- doxytag: member="Ogre::Archive::getName" ref="aa4860f997861f44b61a436d55cdcc66b" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="el" href="classOgre_1_1Archive.html#aa4860f997861f44b61a436d55cdcc66b">Ogre::Archive::getName</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the name of this archive. </p>

<p>Definition at line <a class="el" href="OgreArchive_8h_source.html#l00109">109</a> of file <a class="el" href="OgreArchive_8h_source.html">OgreArchive.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab0fe79a8deba20a1cc1301f68805b621"></a><!-- doxytag: member="Ogre::Archive::getType" ref="ab0fe79a8deba20a1cc1301f68805b621" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="el" href="classOgre_1_1Archive.html#ab0fe79a8deba20a1cc1301f68805b621">Ogre::Archive::getType</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return the type code of this <a class="el" href="classOgre_1_1Archive.html" title="Archive-handling class.">Archive</a>. </p>

<p>Definition at line <a class="el" href="OgreArchive_8h_source.html#l00232">232</a> of file <a class="el" href="OgreArchive_8h_source.html">OgreArchive.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4169eee25281ebb54adeb9f06d9a7d80"></a><!-- doxytag: member="Ogre::Archive::isCaseSensitive" ref="a4169eee25281ebb54adeb9f06d9a7d80" args="(void) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1Archive.html#a4169eee25281ebb54adeb9f06d9a7d80">Ogre::Archive::isCaseSensitive</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns whether this archive is case sensitive in the way it matches files. </p>

<p>Implemented in <a class="el" href="classOgre_1_1ZipArchive.html#a4bb33f4e21a4ca69049eae7c6fc5b6e5">Ogre::ZipArchive</a>, and <a class="el" href="classOgre_1_1FileSystemArchive.html#ac3a99075db0a1e06ee0a856dfa05f5a9">Ogre::FileSystemArchive</a>.</p>

</div>
</div>
<a class="anchor" id="aac59f4ba4e35fe3bf8820117593d0998"></a><!-- doxytag: member="Ogre::Archive::isReadOnly" ref="aac59f4ba4e35fe3bf8820117593d0998" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1Archive.html#aac59f4ba4e35fe3bf8820117593d0998">Ogre::Archive::isReadOnly</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Reports whether this <a class="el" href="classOgre_1_1Archive.html" title="Archive-handling class.">Archive</a> is read-only, or whether the contents can be updated. </p>

<p>Definition at line <a class="el" href="OgreArchive_8h_source.html#l00133">133</a> of file <a class="el" href="OgreArchive_8h_source.html">OgreArchive.h</a>.</p>

</div>
</div>
<a class="anchor" id="a777370220240813a2595689c913dec16"></a><!-- doxytag: member="Ogre::Archive::list" ref="a777370220240813a2595689c913dec16" args="(bool recursive=true, bool dirs=false)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="group__General.html#gae6b84ceebcdcc285f37bf9fba216697d">StringVectorPtr</a> <a class="el" href="classOgre_1_1Archive.html#a777370220240813a2595689c913dec16">Ogre::Archive::list</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>recursive</em> = <code>true</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>dirs</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>List all file names in the archive. </p>
<dl class="note"><dt><b>Note:</b></dt><dd>This method only returns filenames, you can also retrieve other information using listFileInfo. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">recursive</td><td>Whether all paths of the archive are searched (if the archive has a concept of that) </td></tr>
    <tr><td class="paramname">dirs</td><td>Set to true if you want the directories to be listed instead of files </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>A list of filenames matching the criteria, all are fully qualified </dd></dl>

<p>Implemented in <a class="el" href="classOgre_1_1ZipArchive.html#a8cbf4313ddcec3c2dd511e02d7a9f3d8">Ogre::ZipArchive</a>, and <a class="el" href="classOgre_1_1FileSystemArchive.html#a5907d6e8da20de62af12d564d9fbd279">Ogre::FileSystemArchive</a>.</p>

</div>
</div>
<a class="anchor" id="a5c1747f4ab92962a5528a263c714dc31"></a><!-- doxytag: member="Ogre::Archive::listFileInfo" ref="a5c1747f4ab92962a5528a263c714dc31" args="(bool recursive=true, bool dirs=false)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="group__Resources.html#ga98a851530d714bac278ff907738ac643">FileInfoListPtr</a> <a class="el" href="classOgre_1_1Archive.html#a5c1747f4ab92962a5528a263c714dc31">Ogre::Archive::listFileInfo</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>recursive</em> = <code>true</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>dirs</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>List all files in the archive with accompanying information. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">recursive</td><td>Whether all paths of the archive are searched (if the archive has a concept of that) </td></tr>
    <tr><td class="paramname">dirs</td><td>Set to true if you want the directories to be listed instead of files </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>A list of structures detailing quite a lot of information about all the files in the archive. </dd></dl>

<p>Implemented in <a class="el" href="classOgre_1_1ZipArchive.html#aa7c40c98db185a0e0b6ecba912fc4550">Ogre::ZipArchive</a>, and <a class="el" href="classOgre_1_1FileSystemArchive.html#aebb587510a65222aca84fa6f8eb69e0f">Ogre::FileSystemArchive</a>.</p>

</div>
</div>
<a class="anchor" id="a6a073d74d1fab7d5499a35fab466c1b3"></a><!-- doxytag: member="Ogre::Archive::load" ref="a6a073d74d1fab7d5499a35fab466c1b3" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Archive.html#a6a073d74d1fab7d5499a35fab466c1b3">Ogre::Archive::load</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Loads the archive. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This initializes all the internal data of the class. </dd></dl>
<dl class="warning"><dt><b>Warning:</b></dt><dd>Do not call this function directly, it is meant to be used only by the <a class="el" href="classOgre_1_1ArchiveManager.html" title="This class manages the available ArchiveFactory plugins.">ArchiveManager</a> class. </dd></dl>

<p>Implemented in <a class="el" href="classOgre_1_1ZipArchive.html#a3bb00b0bd7e3164082248bbedb273784">Ogre::ZipArchive</a>, and <a class="el" href="classOgre_1_1FileSystemArchive.html#af3fbf5feb7c3875831d22808b3545d75">Ogre::FileSystemArchive</a>.</p>

</div>
</div>
<a class="anchor" id="a919327fffdf74b7bc02bab6821732cd1"></a><!-- doxytag: member="Ogre::Archive::open" ref="a919327fffdf74b7bc02bab6821732cd1" args="(const String &amp;filename, bool readOnly=true) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a> <a class="el" href="classOgre_1_1Archive.html#a919327fffdf74b7bc02bab6821732cd1">Ogre::Archive::open</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>filename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>readOnly</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Open a stream on a given file. </p>
<dl class="note"><dt><b>Note:</b></dt><dd>There is no equivalent 'close' method; the returned stream controls the lifecycle of this file operation. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">filename</td><td>The fully qualified name of the file </td></tr>
    <tr><td class="paramname">readOnly</td><td>Whether to open the file in read-only mode or not (note, if the archive is read-only then this cannot be set to false) </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>A shared pointer to a <a class="el" href="classOgre_1_1DataStream.html" title="General purpose class used for encapsulating the reading and writing of data.">DataStream</a> which can be used to read / write the file. If the file is not present, returns a null shared pointer. </dd></dl>

<p>Implemented in <a class="el" href="classOgre_1_1ZipArchive.html#a946513e33742eea4a3cbed86bf9cb531">Ogre::ZipArchive</a>, and <a class="el" href="classOgre_1_1FileSystemArchive.html#a53b2148b88615cbeeabe7ea33125367e">Ogre::FileSystemArchive</a>.</p>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::Archive::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::Archive::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::Archive::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::Archive::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::Archive::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::Archive::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::Archive::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::Archive::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::Archive::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::Archive::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="af0144235a0da9fe837138c7482e2b7aa"></a><!-- doxytag: member="Ogre::Archive::remove" ref="af0144235a0da9fe837138c7482e2b7aa" args="(const String &amp;filename) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Archive.html#af0144235a0da9fe837138c7482e2b7aa">Ogre::Archive::remove</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>filename</em></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Delete a named file. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Not possible on read-only archives </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">filename</td><td>The fully qualified name of the file </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented in <a class="el" href="classOgre_1_1ZipArchive.html#a2cfc047d2f6d2239a406d8026898a049">Ogre::ZipArchive</a>, and <a class="el" href="classOgre_1_1FileSystemArchive.html#a8576281dcd1f2714458bf729bc8f497a">Ogre::FileSystemArchive</a>.</p>

<p>Definition at line <a class="el" href="OgreArchive_8h_source.html#l00166">166</a> of file <a class="el" href="OgreArchive_8h_source.html">OgreArchive.h</a>.</p>

<p>References <a class="el" href="OgreException_8h_source.html#l00118">Ogre::Exception::ERR_NOT_IMPLEMENTED</a>.</p>

</div>
</div>
<a class="anchor" id="a5c2927f6a35441ea77262f95e4b0a6a0"></a><!-- doxytag: member="Ogre::Archive::unload" ref="a5c2927f6a35441ea77262f95e4b0a6a0" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Archive.html#a5c2927f6a35441ea77262f95e4b0a6a0">Ogre::Archive::unload</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Unloads the archive. </p>
<dl class="warning"><dt><b>Warning:</b></dt><dd>Do not call this function directly, it is meant to be used only by the <a class="el" href="classOgre_1_1ArchiveManager.html" title="This class manages the available ArchiveFactory plugins.">ArchiveManager</a> class. </dd></dl>

<p>Implemented in <a class="el" href="classOgre_1_1ZipArchive.html#a251d90b758ea60ede23cf6dc707d9fea">Ogre::ZipArchive</a>, and <a class="el" href="classOgre_1_1FileSystemArchive.html#a8364eb430fccfbe249b64c0dd29c2cb5">Ogre::FileSystemArchive</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="ab1e42e1a419b26b1b7c6f26b77dde5a3"></a><!-- doxytag: member="Ogre::Archive::mName" ref="ab1e42e1a419b26b1b7c6f26b77dde5a3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1Archive.html#ab1e42e1a419b26b1b7c6f26b77dde5a3">Ogre::Archive::mName</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p><a class="el" href="classOgre_1_1Archive.html" title="Archive-handling class.">Archive</a> name. </p>

<p>Definition at line <a class="el" href="OgreArchive_8h_source.html#l00091">91</a> of file <a class="el" href="OgreArchive_8h_source.html">OgreArchive.h</a>.</p>

</div>
</div>
<a class="anchor" id="ad85bb767e01c492075ec5291c1b9f5c4"></a><!-- doxytag: member="Ogre::Archive::mReadOnly" ref="ad85bb767e01c492075ec5291c1b9f5c4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Archive.html#ad85bb767e01c492075ec5291c1b9f5c4">Ogre::Archive::mReadOnly</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Read-only flag. </p>

<p>Definition at line <a class="el" href="OgreArchive_8h_source.html#l00095">95</a> of file <a class="el" href="OgreArchive_8h_source.html">OgreArchive.h</a>.</p>

</div>
</div>
<a class="anchor" id="abf7ba39bebb760ce55d517aa289096fb"></a><!-- doxytag: member="Ogre::Archive::mType" ref="abf7ba39bebb760ce55d517aa289096fb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1Archive.html#abf7ba39bebb760ce55d517aa289096fb">Ogre::Archive::mType</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p><a class="el" href="classOgre_1_1Archive.html" title="Archive-handling class.">Archive</a> type code. </p>

<p>Definition at line <a class="el" href="OgreArchive_8h_source.html#l00093">93</a> of file <a class="el" href="OgreArchive_8h_source.html">OgreArchive.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreArchive_8h_source.html">OgreArchive.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:54
</p>
</body>
</html>
